Page MenuHomePhabricator

When image uploads fail, the entire process shouldn't have to be started anew, just fixed
Closed, DuplicatePublic

Description

The current design of the Wikimedia Commons image upload process seems to have a coding shortcoming when it comes to failed uploads: just now I had a symbol "/" in the Title of my photo and tried to submit it. The error message "None of the uploads were successful" did NOT allow me to correct the problem and re-click the "Submit" button, but cleared all buttons such that the entire process must be re-done from scratch (which requires several steps "Upload," "Release Rights," "Describe" to do before getting back to where the error occurred) .

The submission process should have more resilience than to let one failure crash the entire upload. I don't know how to change the code, but ideally if the submission fails, it should merely be a matter of correcting the problem (removing the invalid character from the Title line) then clicking "Submit" again, NOT having to start over from the beginning (and doing all previous steps that had already been taken care of).

I've also had multiple-image submissions where only one image will fail to upload, and the "Force send" button is next to/left of an un-labeled, small blue button (that had been the "Submit" button). This "button" should be more clearly marked, as well as should allow options to fix the problems and resubmit, not crashing the whole process forcing a restart from the beginning.

My request/task would be to fix the button setup (so all are visible and the proper size) and format of the "Describe" step in the image submission process, allowing mistakes (such as foreign characters) to be simply deleted (fixing the problem) and then re-submitted.
IDEALLY, the "Upload" step of the submission process should allow the image to fully be pushed through to Commons, and the "Describe" step should merely ADD metadata/descriptions to the already-existing files. Previously I've had the system time-out on me such that all the files I had SUBMITTED, were completely lost and unable to attach the DESCRIPTIONS that came 2 steps later in the process. This would help considerably.

Event Timeline

Bush6984 created this task.Jul 10 2015, 7:20 PM
Bush6984 raised the priority of this task from to Needs Triage.
Bush6984 updated the task description. (Show Details)
Bush6984 added a subscriber: Bush6984.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptJul 10 2015, 7:20 PM
Krenair added a subscriber: Krenair.
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 10 2015, 7:21 PM

See the bottom right of the PrintScreen - it should have buttons (options) in place of where it currently only has text describing the failed process (a "dead-end" so to speak).

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 10 2015, 7:24 PM

Note also how along the top bar of the submission process the steps are 1. Learn, 2. Upload, 3. Release rights, 4. Describe, 5. Use.
Currently it isn't possible to click a previous step or "back" button to revert to an earlier page. This makes it such that if a mistake occurs, it's just game over, start from the beginning.

Here is a PrintScreen from the multiple-image upload I attempted to do, but that failed and wouldn't allow me to correct the problem and resubmit. Notice the lack of buttons in the bottom right corner, or clickable links to fix the problem and resubmit; only starting over from the very beginning.
The red "!" (in place of the green checkmarks of the other successful files) should be clickable to fix the problem.

Take note also that when I try to close the tab, Chrome brings up the warning message
"Confirm Navigation.
You have not finished uploading and publishing these files yet.
Are you sure you want to leave this page?"
--No! I don't want to leave this page! I want to fix the problem, but I'm not presented with any other options to even be able to do so.

Finally, the PrtScn(s) of my original submission attempt that failed- notice how there's no way to recover any of the files. Once you click "Submit," if any process fails, there's no retrieving any of the data/descriptions you submitted, it's just lost.
This is why I'm proposing that the setup be modified to fully upload the images to WikimediaCommons (to completion, so they're part of the database), and then let the "Describe" step of the upload process simply attach supplemental information/metadata to the file. This way there's no loss of upload when errors occur and the submission process fails.

By de-coupling the submission/upload process to Commons, I think there will be less complications in descriptions of photos, whether that be from descriptions that take a long time to type out, or when one file's upload fails among several others, etc. Decoupling the metadata addition will help it be more resilient, and thus not to be so vulnerable.




matmarex claimed this task.Sep 2 2015, 10:15 PM
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:53 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.
Jdforrester-WMF set Security to None.

This is why I'm proposing that the setup be modified to fully upload the images to WikimediaCommons (to completion, so they're part of the database), and then let the "Describe" step of the upload process simply attach supplemental information/metadata to the file. This way there's no loss of upload when errors occur and the submission process fails.

This is actually what happens. All of the files that you uploaded with UploadWizard, but did not complete the publishing, are tracked and you can view them at https://commons.wikimedia.org/wiki/Special:UploadStash (they are removed after some time, but I am not sure how long).

If you mean actually publishing the file first, with an empty file page, and then submitting the description later at some point, then I'm afraid the Commons community might lynch you and us for this ;) It's possible that someone could delete your file, or at least scold you for improper licensing, before you're done describing it.

And in some cases that would not help:

Here the failure is likely caused by the slash / in the file name, which is one of the few disallowed characters.

I've discovered the root cause of (hopefully) all of the issues you were seeing (see T106968) and it should be fixed soon. Sorry for responding so late. It would be great if you could test it out after the fix is deployed (please watch that task for updates).